import React from 'react'
import { Link } from 'react-router'
import { store } from '../store'
import { isUserLoggedIn } from '../actions/actionCreators'

export default class NavBar extends React.Component {
  render() {
    const username = this.props.userStore.username;
    const isLoggedIn = username !== "" ? true : false;
    return (
      <div className="container-fluid">
        <div className="navbar-header">
          <button type="button" className="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
            <span className="sr-only">Toggle navigation</span>
            <span className="icon-bar"></span>
            <span className="icon-bar"></span>
            <span className="icon-bar"></span>
          </button>
          <a className="navbar-brand" href="#">Canape</a>
        </div>
        <div className="collapse navbar-collapse">
          <ul className="nav navbar-nav">
            <li><Link to="/movies/popular">Movies</Link></li>
          </ul>
          <ul className="nav navbar-nav navbar-right">
            {isLoggedIn &&
              <li><Link to="/users/details">{username} / Edit</Link></li>
            }
            {isLoggedIn ||
              <li><Link to="/users/login">Login</Link></li>
            }
            {isLoggedIn &&
              <li><a onClick={this.props.userLogout}>Logout</a></li>
            }
          </ul>
        </div>
      </div>
    );
  }
}
